package de.fhswf.Tables;

import javax.swing.table.DefaultTableModel;
import javax.swing.table.TableModel;

import de.fhswf.DataBaseHelper;

/**
 * 
 * @author $Author:  Thomas Kramer
 * @version $Revision: 1.0, $Date: 24.11.2012
 */

@SuppressWarnings("serial")
public class Fahrer extends AbstractTable
{
   // Datenspalten   
   public static String columns[] = { "Name", "Fhrerscheinklasse",
         "FhrerscheinSeit" };

   /**
    * 
    * Konstruktor
    * 
    */   
   public Fahrer()
   {
      // aufrufen des Basisklassenkonstruktors.      
      super();
      //System.out.println("2");      
   }
   
   /**
    * 
    * Schreiben von Datenstzen ins Datenmodell
    *
    * @param dtm   Datenmodell
    * @param datas Daten
    */
   private void setNewDatas(Object[] datas)
   {
      dtm.addRow(datas);
   }   

   /**
    * Erstellung des Datenmodells
    */   
   @Override
   protected TableModel createDefaultDataModel()
   {
      dtm = new DefaultTableModel(null, columns);
      //System.out.println("1");
      return dtm;      
   }

   /**
    * 
    * Auslesen der Daten und bernehmen ins Datenmodell
    * 
    */
   public void selectDrivers()
   {
      DataBaseHelper.selectDrivers(dtm);
   }
}
