package de.fhswf.Tables;

import javax.swing.table.DefaultTableModel;
import javax.swing.table.TableModel;

import de.fhswf.DataBaseHelper;

/**
 * 
 * @author $Author:  Thomas Kramer
 * @version $Revision: 1.0, $Date: 24.11.2012
 */

@SuppressWarnings("serial")
public class Fahrzeug extends AbstractTable
{
   // Datenspalten   
   private static String columns[] = { "Kennzeichen", "Erstzulassung" };

   /**
    * 
    * Konstruktor
    * 
    */   
   public Fahrzeug()
   {
      // aufrufen des Basisklassenkonstruktors.      
      super();
   }

   /**
    * Erstellung des Datenmodells
    */   
   @Override
   protected TableModel createDefaultDataModel()
   {
      dtm = new DefaultTableModel(null, columns);
      return dtm;
   }

   /**
    * 
    * Auslesen der Daten und bernehmen ins Datenmodell
    * 
    */
   public void getCars()
   {
      DataBaseHelper.selectCars(dtm);
   }

   /**
    * Getter for property columns.
    * 
    * @return Returns the columns.
    */
   public static String[] getColumns()
   {
      return columns;
   }

   /**
    * Setter for property columns.
    *
    * @param columns The columns to set.
    */
   public static void setColumns(String[] columns)
   {
      Fahrzeug.columns = columns;
   }
}
