package de.fhswf.Tables;

import javax.swing.table.DefaultTableModel;
import javax.swing.table.TableModel;

import de.fhswf.DataBaseHelper;

/**
 * Zustndigkeitsklasse.
 * 
 * @author $Author:  Thomas Kramer
 * @version $Revision: 1.0, $Date: 24.11.2012
 */

@SuppressWarnings("serial")
public class Zustaendigkeit extends AbstractTable
{
   // Datenspalten
   private static String columns[] = { "Fahrer", "1. Fahrzeug",
         "2. Fahrzeug", "3. Fahrzeug" };

   /**
    * 
    * Konstruktor
    * 
    */
   public Zustaendigkeit()
   {
      // aufrufen des Basisklassenkonstruktors.
      super();
   }

   /**
    * Erstellung des Datenmodells
    */     
   @Override
   protected TableModel createDefaultDataModel()
   {
      dtm = new DefaultTableModel(null, columns);
      return dtm;
   }

   /**
    * 
    * Auslesen der Daten und bernehmen ins Datenmodell
    * 
    */
   public void selectAssociations()
   {
      DataBaseHelper.selectAssociations(dtm);
   }
}